Subject: Re: [PATCH 5/5] implement @{publish} shorthand

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Jan 2014 13:24:41 -0800

Jeff King <[email-masked]> writes:

>> Or is @{p} already taken by something and my memory is not
>> functioning well?
>
> It is my brain that was not functioning well. I somehow thought "well,
> @{u} is already taken, so we must use "@{pu}". Which of course makes no
> sense, unless you are middle-endian. :)
>
> We may want to be cautious about giving up a short-and-sweet
> single-letter, though, until the feature has proved itself. We could
> also teach upstream_mark and friends to match unambiguous prefixes (so
> "@{u}, "@{up}", "@{upst}", etc). That means "@{p}" would work
> immediately, but scripts should use "@{publish}" for future-proofing.

I recall we wanted to start only with "@{upstream}" without "@{u}";
justification being "if the concept is solid and useful enough, the
latter will come later as a natural user-desire", during the
discussion that ended up introducing them.

I am OK with the "unambigous prefix string".

Thanks for sanity-checking.